Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.x509
Class PKIXAttrCertChecker

    java.lang.Object
      org.bouncycastle.x509.PKIXAttrCertChecker

All Implemented Interfaces:
  java.lang.Cloneable

    public abstract class PKIXAttrCertChecker

extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`PKIXAttrCertChecker()`

Method Summary
`abstract void` `check(X509AttributeCertificate attrCert, java.security.cert.CertPath certPath, java.security.cert.CertPath holderCertPath, java.util.Collection unresolvedCritExts)` Performs checks on the specified attribute certificate.
`abstract java.lang.Object` `clone()` Returns a clone of this object.
`abstract java.util.Set` `getSupportedExtensions()` Returns an immutable `Set` of X.509 attribute certificate extensions that this `PKIXAttrCertChecker` supports or `null` if no extensions are supported.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIXAttrCertChecker

    public PKIXAttrCertChecker()

Method Detail

### getSupportedExtensions

    public abstract java.util.Set getSupportedExtensions()

  Returns an immutable `Set` of X.509 attribute certificate extensions that this `PKIXAttrCertChecker` supports or `null` if no extensions are supported.

  Each element of the set is a `String` representing the Object Identifier (OID) of the X.509 extension that is supported.

  All X.509 attribute certificate extensions that a `PKIXAttrCertChecker` might possibly be able to process should be included in the set.

  Returns:
    an immutable `Set` of X.509 extension OIDs (in `String` format) supported by this `PKIXAttrCertChecker`, or `null` if no extensions are supported

### check

    public abstract void check(X509AttributeCertificate attrCert,
                               java.security.cert.CertPath certPath,
                               java.security.cert.CertPath holderCertPath,
                               java.util.Collection unresolvedCritExts)
                        throws java.security.cert.CertPathValidatorException

  Performs checks on the specified attribute certificate. Every handled extension is rmeoved from the `unresolvedCritExts` collection.

  Parameters:
    `attrCert` - The attribute certificate to be checked.
    `certPath` - The certificate path which belongs to the attribute certificate issuer public key certificate.
    `holderCertPath` - The certificate path which belongs to the holder certificate.
    `unresolvedCritExts` - a `Collection` of OID strings representing the current set of unresolved critical extensions
  Throws:
    `java.security.cert.CertPathValidatorException` - if the specified attribute certificate does not pass the check.

### clone

    public abstract java.lang.Object clone()

  Returns a clone of this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a copy of this `PKIXAttrCertChecker`

Bouncy Castle Cryptography Library 1.45